PapermarkDocs

List documents

Returns a paginated list of documents for the authenticated team.

GET
/v1/documents

Authorization

bearerAuth documents.read
AuthorizationBearer <token>

Dashboard-issued token (pm_live_...) or OAuth-issued access token.

In: header

Scope: documents.read

Query Parameters

limit?integer
Default25
Range1 <= value <= 100
cursor?string
folderId?string
query?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.papermark.com/v1/documents"
{
  "data": [
    {
      "id": "clxy9abc1234567890",
      "name": "pitch-deck-q4.pdf",
      "type": "pdf",
      "content_type": "application/pdf",
      "num_pages": 12,
      "folder_id": null,
      "created_at": "2026-04-17T10:00:00.000Z",
      "updated_at": "2026-04-17T10:00:00.000Z"
    }
  ],
  "next_cursor": "string"
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing bearer token.",
    "doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
    "details": null
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing bearer token.",
    "doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
    "details": null
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing bearer token.",
    "doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
    "details": null
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing bearer token.",
    "doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
    "details": null
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing bearer token.",
    "doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
    "details": null
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Missing bearer token.",
    "doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
    "details": null
  }
}